assert.h File Reference

Go to the source code of this file.

## Macros

#define | assert(x) ((x) ? (void)0 : __assert(#x, __func__, __FILE__, __LINE__))

## Functions

void | __assert (const char *expression, const char *functionname, const char *filename, unsigned int linenumber)

## Macro Definition Documentation

## assert

#define assert | ( |  | x | ) | ((x) ? (void)0 : __assert(#x, __func__, __FILE__, __LINE__))

## Function Documentation

## __assert()

void __assert | ( | const char * | expression,
|  | const char * | functionname,
|  | const char * | filename,
|  | unsigned int | linenumber
| ) |  |